<template>
    <v-layout row wrap class="pt-3 ordenHeade grid-list-sm">
        <fields clabel='Paciente' :contenido="Pacientes.nombre" />
        <fields clabel='Género' :contenido="Pacientes.gender" />
        <field-date clabel='Edad' :contenido="Pacientes.birth" />
        <fields clabel='Fecha de Nacimiento' :contenido="fechaNac" />
        <fields clabel='Medico' :contenido="orden.medico" />
        <fields clabel='Sucursal' :contenido="orden.sucursal" />
        <fields clabel='Cod Int' :contenido="orden.id" />
        <fields clabel='Fecha de Factura' :contenido="fechaFac" />
    </v-layout>
</template>

<script>
import moment from 'moment'
import Fields from '../../showField'
import FieldDate from '../../showFieldDate'

export default {
    name: "OrdenHeader",
    components: {
        Fields,
        FieldDate
    },
    props: {
        orden: Object
    },
    computed: {
        fechaNac: function () {
            return moment(this.orden.pacientes.birth).format('DD/MM/YYYY');
        },
        fechaFac: function () {
            return moment(this.orden.fecha_factura).format('DD/MM/YYYY');
        },
        Pacientes: function () {
            return this.orden.pacientes
        }

    },
};
</script>

<style>
    .ordenHeade{
        background: whitesmoke
    }
</style>
